Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63347 - [python-pytorch-cuda] can't do logdet() on GPU

Attached to Project: Community Packages
Opened by Jingbei Li (Petron) - Friday, 02 August 2019, 14:13 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Sunday, 08 September 2019, 12:54 GMT
Task Type Feature Request
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Konstantin Gizdov (kgizdov)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
We can't do logdet() on GPU since it need MAGMA to do it on GPU.
We need to have magma in the official repository and build pytorch against it.

Currently we have to do logdet() on CPU.

Additional info:
* package version(s) python-pytorch-cuda 1.1.0-8
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:

% python
Python 3.7.3 (default, Jun 24 2019, 04:54:02)
[GCC 9.1.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import torch
>>> torch.eye(512).div(500000).cuda().logdet()
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
RuntimeError: lu: MAGMA library not found in compilation. Please rebuild with MAGMA.

This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Sunday, 08 September 2019, 12:54 GMT
Reason for closing:  Fixed
Comment by Sven-Hendrik Haase (Svenstaro) - Friday, 06 September 2019, 22:21 GMT
Please test pytorch in [community-testing]. It should have magma enabled.

Loading...